QwtCurveFitter(3)

NAME
QwtCurveFitter - Abstract base class for a curve fitter.

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherited by QwtSplineCurveFitter, and QwtWeedingCurveFitter.

  Public Member Functions
virtual ~QwtCurveFitter ()
Destructor.
virtual QPolygonF fitCurve (const QPolygonF &polygon) const =0

  Protected Member Functions
QwtCurveFitter ()
Constructor.

Detailed Description

Abstract base class for a curve fitter.

Member Function Documentation

  virtual QPolygonF QwtCurveFitter::fitCurve (const QPolygonF & polygon) const [pure virtual]
Find a curve which has the best fit to a series of data points

Parameters
    polygon Series of data points

Returns
    Curve points

Implemented in QwtWeedingCurveFitter, and QwtSplineCurveFitter.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.